Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004495 [JEDI VCL] 00 JVCL Components crash always 2008-10-04 04:53 2008-10-29 06:26
Reporter grubste View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004495: JvId3v2 crashes when calling methods CopyFromID3v1 and CopyToID3v1
Description I'm using the daily revision of JCL and JVCL as of 2008-09-24 with Delphi 2007.
Reading ID3v2 tags works fine, but calling the methods CopyFromID3v1 and CopyToID3v1 throws access violations though the proper ID3 tags exist.
Additional Information The same happens with the demo JvID3v2Demo when pressing the related buttons.
A screenshot of the crash is attached.
Tags No tags attached.
Attached Files jpg file icon 2008-10-04_134554.jpg [^] (88,037 bytes) 2008-10-04 04:53

- Relationships

-  Notes
(0014760)
obones (administrator)
2008-10-05 23:58

Which version of Delphi are you using?
(0014763)
grubste (reporter)
2008-10-06 00:37

As already written above: Delphi 2007 pro, German
(0014791)
grubste (reporter)
2008-10-09 05:05

Thanks Remko!
Your changes in revision 11954 [Daily Revision of 2008-10-09] made this all work again under Delphi 2007.
You can consider this issue as fixed and closed.
(0014933)
obones (administrator)
2008-10-29 06:25

Thanks for letting us know

- Issue History
Date Modified Username Field Change
2008-10-04 04:53 grubste New Issue
2008-10-04 04:53 grubste File Added: 2008-10-04_134554.jpg
2008-10-04 04:55 grubste Issue Monitored: grubste
2008-10-05 23:58 obones Note Added: 0014760
2008-10-05 23:58 obones Status new => feedback
2008-10-06 00:37 grubste Note Added: 0014763
2008-10-06 12:48 remkobonte Assigned To => remkobonte
2008-10-09 05:05 grubste Note Added: 0014791
2008-10-29 06:25 obones Status feedback => resolved
2008-10-29 06:25 obones Fixed in Version => Daily / SVN
2008-10-29 06:25 obones Resolution open => fixed
2008-10-29 06:25 obones Note Added: 0014933
2008-10-29 06:33 grubste Issue End Monitor: grubste


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker